POST api/Kyc

Submits or updates KYC (Know Your Customer) information for an investor.

Request Information

URI Parameters

None.

Body Parameters

Kyc
NameDescriptionTypeAdditional information
investorId

integer

None.

firstName

string

None.

lastName

string

None.

gender

character

None.

languageId

integer

None.

city

string

None.

address

string

None.

zip

string

None.

countryId

integer

None.

countryIdByIp

integer

None.

birthday

date

None.

phone

string

None.

riskTolerance

string

None.

Request Formats

application/json, text/json

Sample:
{
  "investorId": 1,
  "firstName": "sample string 2",
  "lastName": "sample string 3",
  "gender": "A",
  "languageId": 5,
  "city": "sample string 6",
  "address": "sample string 7",
  "zip": "sample string 8",
  "countryId": 9,
  "countryIdByIp": 10,
  "birthday": "2026-03-02T21:08:31.9763932-06:00",
  "phone": "sample string 12",
  "riskTolerance": "sample string 13"
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

ActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.